-- ===============================================
-- 修改business_cards表，新增age和native_place字段 (简化版本)
-- 执行日期: 请在执行前填写实际日期
-- 修改说明: 为名片表新增年龄和籍贯字段
-- ===============================================

-- 步骤1: 添加age字段
ALTER TABLE business_cards ADD COLUMN age INTEGER;

-- 步骤2: 添加native_place字段
ALTER TABLE business_cards ADD COLUMN native_place TEXT;

-- 步骤3: 添加字段注释
COMMENT ON COLUMN business_cards.age IS '年龄字段 - 存储人员年龄信息，取值范围1-150';
COMMENT ON COLUMN business_cards.native_place IS '籍贯字段 - 存储人员籍贯或出生地信息';

-- 步骤4: 验证字段是否添加成功
SELECT column_name, data_type, is_nullable
FROM information_schema.columns 
WHERE table_name = 'business_cards' 
  AND column_name IN ('age', 'native_place')
ORDER BY column_name;

-- 步骤5: 查看表结构（需要在psql客户端中执行）
-- \d business_cards

-- ===============================================
-- 执行说明：
-- 1. 一次执行一个语句，避免批量执行出现问题
-- 2. 新增字段允许NULL值，不会影响现有数据
-- 3. 执行前请备份数据库
-- =============================================== 